Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create template

POST/workspaces/{organizationId}/templates
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
linearIdstringrequired
min length 1
namestringrequired
min length 1
templateDatastring
Responses
201

Template created

idstringrequired
organizationIdstringrequired
linearIdstringrequired
namestringrequired
templateDatastring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/templates' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "linearId": "string",
  "name": "string",
  "templateData": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "linearId": "string",
  "name": "string",
  "templateData": "string",
  "createdAt": "string"
}

Was this page helpful?